'use strict';
var Fs = require('fs');
function onBeforeBuildFinish (options, callback) {
  // var prefabUrl = 'db://assets/Scene/MainGame.fire';
  // var prefabUuid = Editor.assetdb.urlToUuid(prefabUrl);
  // // accessing BuildResults via options.buildResults
  // var buildResults = options.buildResults;
  // // Obtain all resources that are dependent on the specified resource
  //     // Get relative URL of assets in project
  //     // (Will return null for auto atlas texture because there is no raw asset associated with it in the project)
  //     var depends = buildResults.getDependencies(prefabUuid);

  //     for (var i = 0; i < depends.length; ++i) {
  //         var uuid = depends[i];
  //         // Get relative URL of assets in project
  //         // (Will return null for auto atlas texture because there is no raw asset associated with it in the project)
  //         var url = Editor.assetdb.uuidToUrl(uuid);
  //         // Get resource type
  //         var type = buildResults.getAssetType(uuid);
  //         // Get the absolute path of assets in the project
  //         // (Will also return null for auto atlas texture)
  //         var rawPath = Editor.assetdb.uuidToFspath(uuid);
  //         // Get the exported path of a native asset
  //         // (Native assets include texture, audio, and other types. If not native assets will return null)
  //         var nativePath = buildResults.getNativeAssetPath(uuid);
  
  //         Editor.log(`${prefabUrl} depends on: ${nativePath || url} (${type})`);
  //     }

  callback();
}
module.exports = {
  load () {
    Editor.log("loaded");
    // When the package loaded
    Editor.Builder.on('build-finished', onBeforeBuildFinish);
  },

  unload () {
    Editor.log("unloaded");
    // When the package unloaded
    Editor.Builder.removeListener('build-finished', onBeforeBuildFinish);
  },

  messages: {
    'say-hello' () {
      Editor.log(!!Fs);
    },
    'open' () {
      Editor.Panel.open('gen-manifests');
    }
  },
};